//+------------------------------------------------------------------+
//|                                              MTF_DXFO.mq4 |
//|------------------------------------------------------------------+

#property  indicator_chart_window
#property indicator_buffers  6
#property indicator_color1 CLR_NONE
#property indicator_color2 CLR_NONE
#property indicator_color3 DarkSlateBlue
#property indicator_color4 FireBrick
#property indicator_color5 NavajoWhite
#property indicator_color6 Orange
#property indicator_width3 1
#property indicator_width4 1

#property indicator_width5 4
#property indicator_width6 4

//---- input parameters
/*************************************************************************
PERIOD_M1   1
PERIOD_M5   5
PERIOD_M15  15
PERIOD_M30  30 
PERIOD_H1   60
PERIOD_H4   240
PERIOD_D1   1440
PERIOD_W1   10080
PERIOD_MN1  43200
You must use the numeric value of the timeframe that you want to use
when you set the TimeFrame' value with the indicator inputs.
---------------------------------------*/

extern int    TimeFrame = 0;

//---- indicator buffers
double Up[];
double Down[];
double CrossUp[];
double CrossDown[];
double TrendUp[];
double TrendDown[];
double alertBar;
extern bool SoundAlert = true;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()
  {
   
//---- indicator line
   SetIndexStyle(0, DRAW_HISTOGRAM, STYLE_DOT);
   SetIndexBuffer(0, Up);
   SetIndexStyle(1, DRAW_NONE, STYLE_DOT);
   SetIndexBuffer(1, Down);
   SetIndexStyle(2, DRAW_HISTOGRAM, STYLE_DOT);
   SetIndexBuffer(2, CrossUp);
   SetIndexStyle(3, DRAW_HISTOGRAM, STYLE_DOT);
   SetIndexBuffer(3, CrossDown);

   SetIndexBuffer(4, TrendUp);
   SetIndexStyle(4, DRAW_ARROW);
   SetIndexArrow(4, 221);
   SetIndexBuffer(5, TrendDown);
   SetIndexStyle(5, DRAW_ARROW);
   SetIndexArrow(5, 222);


//---- name for DataWindow and indicator subwindow label   

   switch(TimeFrame)
   {
      case 1 : string TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe";
   }
   IndicatorShortName("MTF_DFXO("+TimeFrameStr+")");

  }

//----

   return(0);
 
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

int start()
  {

   datetime TimeArray[];
   int    i,limit,y=0,counted_bars=IndicatorCounted(); 

// Plot defined time frame on to current time frame

   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   limit= Bars-1;
   for(i=0,y=0;i<limit;i++)
   {
   if (Time[i]<TimeArray[y]) y++;

/***********************************************************   
   Add your main indicator loop below.  You can reference an existing
      indicator with its iName  or iCustom.
   Rule 1:  Add extern inputs above for all neccesary values   
   Rule 2:  Use 'TimeFrame' for the indicator time frame
   Rule 3:  Use 'y' for your indicator's shift value
 **********************************************************/  

   Up[i]=iCustom(Symbol(),TimeFrame,"DDFX 2 Neuro Trade v3",0,y);
   Down[i]=iCustom(Symbol(),TimeFrame,"DDFX 2 Neuro Trade v3",1,y); 
   CrossUp[i]=iCustom(Symbol(),TimeFrame,"DDFX 2 Neuro Trade v3",0,y); 
   CrossDown[i]=iCustom(Symbol(),TimeFrame,"DDFX 2 Neuro Trade v3",1,y); 
   if (Time[i]==TimeArray[y]) TrendUp[i]=iCustom(Symbol(),TimeFrame,"DDFX 2 Neuro Trade v3",4,y); 
   if (Time[i]==TimeArray[y]) TrendDown[i]=iCustom(Symbol(),TimeFrame,"DDFX 2 Neuro Trade v3",5,y); 
   if(TrendUp[1] > TrendDown[1] && TrendUp[i] != EMPTY_VALUE && SoundAlert == true && Bars>alertBar) {SendMail(StringConcatenate(Symbol(),"Down "),Down);alertBar = Bars;}
   if(TrendUp[1] < TrendDown[1] && TrendDown[i] != EMPTY_VALUE && SoundAlert == true && Bars>alertBar) {SendMail(StringConcatenate(Symbol(),"Up "),Up);alertBar = Bars;}

     } 
   return(0);
  }
//+------------------------------------------------------------------+